import request from '@/utils/request'

// 查询cuisine列表
export function listCuisine(query) {
  return request({
    url: '/canteen/cuisine/list',
    method: 'get',
    params: query
  })
}

// 查询cuisine详细
export function getCuisine(cuisineId) {
  return request({
    url: '/canteen/cuisine/' + cuisineId,
    method: 'get'
  })
}

// 新增cuisine
export function addCuisine(data) {
  return request({
    url: '/canteen/cuisine',
    method: 'post',
    data: data
  })
}

// 修改cuisine
export function updateCuisine(data) {
  return request({
    url: '/canteen/cuisine',
    method: 'put',
    data: data
  })
}

// 删除cuisine
export function delCuisine(cuisineId) {
  return request({
    url: '/canteen/cuisine/' + cuisineId,
    method: 'delete'
  })
}

// 导出cuisine
export function exportCuisine(query) {
  return request({
    url: '/canteen/cuisine/export',
    method: 'get',
    params: query
  })
}